.. _api:

API Documentation
=================

.. sectionauthor:: Matt Swain <m.swain@me.com>

.. module:: chemspipy

This part of the documentation is automatically generated from the ChemSpiPy source code and comments.

.. automodule:: chemspipy.api

   .. autoclass:: ChemSpider()
      :members:

   .. autodata:: ASCENDING
   .. autodata:: DESCENDING
   .. autodata:: RECORD_ID
   .. autodata:: MASS_DEFECT
   .. autodata:: MOLECULAR_WEIGHT
   .. autodata:: REFERENCE_COUNT
   .. autodata:: DATASOURCE_COUNT
   .. autodata:: PUBMED_COUNT
   .. autodata:: RSC_COUNT
   .. autodata:: ORDERS
   .. autodata:: DIRECTIONS
   .. autodata:: FIELDS

.. automodule:: chemspipy.objects
   :members:

.. automodule:: chemspipy.search
   :members:

.. automodule:: chemspipy.errors
   :members:
